program TRANSPORT;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var i,t,n,v,l,a:integer; r:real; x:array[1..30] of integer;
tr:array[1..30] of byte;
begin
assign (input, 'TRANSPORT.in');
reset (input);
read (t);
for i:=1 to t do begin
  read(n,v,l);
  r:=(l*1000)/(v*1000/60);
  for a:=1 to n do begin
    read(x[a],tr[a]);
    r:=r+tr[a];
  end;
  writeln (r:10:2);
end;
end.
